Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.dataquery
Interface IEssDrillThroughReport

All Superinterfaces:
  IEssBaseObject

public interface IEssDrillThroughReport
extends IEssBaseObject

The IEssDrillThroughReport is Integration Server drill-through report.

Method Summary
`void` | `execute()` Executes the report.
`IEssValueAny.EEssDataType` | `getColumnDataType(int colId)` Gets the column data type at the specified index.
`java.lang.String` | `getColumnName(int colId)` Gets the column name at the specified index.
`int` | `getCountColumns()` Gets the count of columns in the result set.
`int` | `getCountRows()` Gets the count of rows in the result set.
`int` | `getCustomize()` Gets the customize.
`double` | `getDoubleValue(int rowId, int colId)` Gets the double value at the specified row, column intersection.
`float` | `getFloatValue(int rowId, int colId)` Gets the float value at the specified row, column intersection.
`int` | `getId()` Gets the report id.
`int` | `getIntValue(int rowId, int colId)` Gets the int value at the specified row, column intersection.
`java.lang.String` | `getName()` Gets the report name.
`int` | `getRowGoverner()` Gets the row governer.
`java.lang.String` | `getStringValue(int rowId, int colId)` Gets the String value at the specified row, column intersection.
`int` | `getTimeGoverner()` Gets the time governer.
`IEssValueAny` | `getValue(int rowId, int colId)` Gets the value at the specified row, column intersection.
`java.lang.String` | `getViewName(int colId)` Gets the view name at the specified index.

Method Detail

### getId

    public int getId()
              throws EssException

  Gets the report id.

  Returns:
    The report id.
  Throws:
    `EssException` - if an error occurs.

### getName

    public java.lang.String getName()
                             throws EssException

  Gets the report name.

  Returns:
    The report name.
  Throws:
    `EssException` - if an error occurs.

### getCustomize

    public int getCustomize()
                     throws EssException

  Gets the customize.

  Returns:
    0 if the report cannot be customized. non zero if the report can be customized.
  Throws:
    `EssException` - if an error occurs.

### getRowGoverner

    public int getRowGoverner()
                       throws EssException

  Gets the row governer.

  Returns:
    The row governer.
  Throws:
    `EssException` - if an error occurs.

### getTimeGoverner

    public int getTimeGoverner()
                        throws EssException

  Gets the time governer.

  Returns:
    The time governer.
  Throws:
    `EssException` - if an error occurs.

### execute

    public void execute()
                 throws EssException

  Executes the report.

  Throws:
    `EssException` - if an error occurs.

### getCountColumns

    public int getCountColumns()
                        throws EssException

  Gets the count of columns in the result set.

  Returns:
    The count of columns in the result set.
  Throws:
    `EssException` - if an error occurs.

### getColumnName

    public java.lang.String getColumnName(int colId)
                                   throws EssException

  Gets the column name at the specified index.

  Parameters:
    `colId` - The column id (0 to getCountColumns()-1).
  Returns:
    The column name.
  Throws:
    `EssException` - if an error occurs.

### getViewName

    public java.lang.String getViewName(int colId)
                                 throws EssException

  Gets the view name at the specified index.

  Parameters:
    `colId` - The column id (0 to getCountColumns()-1).
  Returns:
    The view name.
  Throws:
    `EssException` - if an error occurs.

### getColumnDataType

    public IEssValueAny.EEssDataType getColumnDataType(int colId)
                                                throws EssException

  Gets the column data type at the specified index.

  Parameters:
    `colId` - The column id (0 to getCountColumns()-1).
  Returns:
    The column data type. One of EEssDataType.INT, STRING, FLOAT, DATE. NOTE: You need to use getStringValue() for DATE type.
  Throws:
    `EssException` - if an error occurs.

### getCountRows

    public int getCountRows()
                     throws EssException

  Gets the count of rows in the result set.

  Returns:
    The count of rows in the result set.
  Throws:
    `EssException` - if an error occurs.

### getIntValue

    public int getIntValue(int rowId,
                           int colId)
                    throws EssException

  Gets the int value at the specified row, column intersection.

  Parameters:
    `rowId` - The row id (0 to getCountRows()-1).
    `colId` - The column id (0 to getCountColumns()-1).
  Returns:
    The int value.
  Throws:
    `EssException` - if an error occurs.

### getStringValue

    public java.lang.String getStringValue(int rowId,
                                           int colId)
                                    throws EssException

  Gets the String value at the specified row, column intersection.

  Parameters:
    `rowId` - The row id (0 to getCountRows()-1).
    `colId` - The column id (0 to getCountColumns()-1).
  Returns:
    The string value.
  Throws:
    `EssException` - if an error occurs.

### getFloatValue

    public float getFloatValue(int rowId,
                               int colId)
                        throws EssException

  Gets the float value at the specified row, column intersection.

  Parameters:
    `rowId` - The row id (0 to getCountRows()-1).
    `colId` - The column id (0 to getCountColumns()-1).
  Returns:
    The float value.
  Throws:
    `EssException` - if an error occurs.

### getDoubleValue

    public double getDoubleValue(int rowId,
                                 int colId)
                          throws EssException

  Gets the double value at the specified row, column intersection.

  Parameters:
    `rowId` - The row id (0 to getCountRows()-1).
    `colId` - The column id (0 to getCountColumns()-1).
  Returns:
    The double value.
  Throws:
    `EssException` - if an error occurs.

### getValue

    public IEssValueAny getValue(int rowId,
                                 int colId)
                          throws EssException

  Gets the value at the specified row, column intersection.

  Parameters:
    `rowId` - The row id (0 to getCountRows()-1).
    `colId` - The column id (0 to getCountColumns()-1).
  Returns:
    The value.
  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD